Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455206 - Provide both mysql and postgresql support using loadable maps patch
Summary: Provide both mysql and postgresql support using loadable maps patch
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 01:42 UTC by W. Michael Petullo
Modified: 2016-07-20 13:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-20 13:41:37 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2008-07-14 01:42:11 UTC
Description of problem:
Postfix provides support for the MySQL database. It would be nice if it
supported both MySQL and Postgresql using dynamically loadable modules, packaged
separately. The Debian project ships a patch that provides this feature. See
http://archive.netbsd.se/?ml=postfix-devel&a=2007-03&m=3406347.

Version-Release number of selected component (if applicable):
postfix-2.5.1-2.fc9.ppc

How reproducible:
Every time

Steps to Reproduce:
% ldd /usr/sbin/postfix
  
Actual results:
[...]
libmysqlclient.so.15 => /usr/lib/mysql/libmysqlclient.so.15 (0x1fd85000)
[...]

Expected results:
Core binaries are not linked against MySQL. MySQL support could be implemented
in a loadable module that is packaged separately.

Additional info:

Comment 1 Randy Yates 2010-08-24 01:53:33 UTC
While Michael's proposal is more elegant, I offer a (obvious) second approach: provide two packages: postfix-mysql and postfix-pqsql. It is VERY frustrating to have absolutely no postgresql support for postfix under fedora (forcing us to build from source).

Comment 2 Fedora Admin XMLRPC Client 2011-02-25 09:10:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Jaroslav Škarvada 2016-07-20 13:41:37 UTC
AFAIK this feature got upstreamed and we already have it in Fedora, thus closing.


Note You need to log in before you can comment on or make changes to this bug.